Edit a custom report's name/columns/formats
curl --request PATCH \
--url https://app.ontime.hosai.app/api/reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"columns": [
"<string>"
],
"formats": []
}
'import requests
url = "https://app.ontime.hosai.app/api/reports/{id}"
payload = {
"name": "<string>",
"columns": ["<string>"],
"formats": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', columns: ['<string>'], formats: []})
};
fetch('https://app.ontime.hosai.app/api/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "Attendance",
"description": "<string>",
"source": "<string>",
"columns": [
"<string>"
],
"formats": [
"CSV"
],
"starred": true,
"isCustom": true,
"runnable": true,
"templateKey": "<string>",
"param": "month",
"scheduleFreq": "None",
"scheduleFormats": [
"CSV"
],
"deliverTo": [
"jsmith@example.com"
],
"nextRunAt": "<string>",
"lastRunAt": "<string>",
"rowCount": 0
}Reports
Edit a custom report's name/columns/formats
Edit a custom report’s name/columns/formats
PATCH
/
api
/
reports
/
{id}
Edit a custom report's name/columns/formats
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
Attendance, Leave, Payroll, Compliance, Custom Available options:
CSV, Excel, PDF Available options:
month, fy, none Available options:
None, Daily, Weekly, Monthly Available options:
CSV, Excel, PDF Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Required range:
-9007199254740991 <= x <= 9007199254740991